Delete User - Mem0

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.


DELETE Entity

Python

import requests

url = "https://api.mem0.ai/v2/entities/{entity_type}/{entity_id}/"

headers = {"Authorization": "Token <api-key>"}

response = requests.request("DELETE", url, headers=headers)

print(response.text)

JavaScript

const options = {method: 'DELETE', headers: {Authorization: 'Token <api-key>'}};

fetch('https://api.mem0.ai/v2/entities/{entity_type}/{entity_id}/', options)
  .then(response => response.json())
  .then(response => console.log(response))
  .catch(err => console.error(err));

cURL

curl --request DELETE \
  --url https://api.mem0.ai/v2/entities/{entity_type}/{entity_id}/ \
  --header 'Authorization: Token <api-key>'

Go

package main

import (
    "fmt"
    "net/http"
    "io/ioutil"
)

func main() {

url := "https://api.mem0.ai/v2/entities/{entity_type}/{entity_id}/"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("Authorization", "Token <api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
    fmt.Println(string(body))
}

PHP




Response Codes


Response Example

{
  "message": "Entity deleted successfully!"
}
{
  "message": "Invalid entity type"
}

Authorizations


Path Parameters

Available options: